<div class="container">
  <h1 class="page-title">Create quiz</h1>
  <form class="create-quiz__form" [formGroup]="form">
    <ng-container *ngIf="hasQuestions; else startTemplate">
      <div class="create-quiz__form-header">
        <app-input
          [control]="form.get(formControls.NAME)"
          label="Quiz name"
          class="quiz-input"
        ></app-input>
        <button
          *ngIf="quizId"
          [disabled]="isSubmitted"
          [attr.tooltipText]="disabledText"
          (click)="removeQuiz()"
          type="button"
          class="btn btn_red create-quiz__form-btn"
        >
          Remove
        </button>
        <button
          [disabled]="form.invalid || isSubmitted"
          [attr.tooltipText]="disabledText"
          (click)="saveQuiz()"
          type="button"
          class="btn btn_white-blue create-quiz__form-btn"
        >
          Save
        </button>
      </div>
      <div
        *ngFor="
          let item of getVariants(form.get(formControls.QUESTIONS));
          let index = index
        "
      >
        <div *ngIf="index === indexOfActiveQuestion" class="flex-vert">
          <app-textarea
            [group]="item"
            label="Question:"
            name="question"
            placeholder="Write question"
            [controlName]="questionControls.QUESTION"
            [maxLength]="280"
            class="quiz"
          ></app-textarea>
          <div class="flex-vert">
            <p class="create-quiz__subtitle">Answers:</p>
            <div
              class="create-quiz__answer"
              *ngFor="
                let answer of getVariants(item.get(questionControls.ANSWERS))
              "
            >
              <app-textarea
                [group]="answer"
                [label]="answer.value.id"
                [maxLength]="280"
                modification="create-quiz__control"
                name="answer"
                placeholder="Write answer"
                controlName="answer"
                class="quiz"
              ></app-textarea>
              <app-radio
                name="is-right"
                [value]="answer.value.id"
                [control]="item.get(questionControls.RIGHT_ANSWER)"
                class="quiz-radio"
                [ngClass]="radioTheme"
              ></app-radio>
              <p
                *ngIf="answer.errors && answer.errors.required"
                class="validation"
              >
                You must choose the right one
              </p>
            </div>
          </div>
        </div>
      </div>
      <app-create-quiz-nav
        [isFormInvalid]="form.invalid"
        [indexOfActiveQuestion]="indexOfActiveQuestion"
        [length]="form.value.questions.length"
        (addQuestion)="addQuestion()"
        (removeQuestion)="removeQuestion()"
        (toggleActiveQuestion)="toggleActiveQuestion($event)"
      ></app-create-quiz-nav>
    </ng-container>
    <ng-template #startTemplate>
      <p class="create-quiz__help">
        You can create an unlimited number of questions, their number you choose
        yourself.
      </p>
      <button
        class="btn btn_white-blue create-quiz__help-btn"
        (click)="addQuestion()"
      >
        Create now
      </button>
    </ng-template>
  </form>
</div>
